<?php
/*
 *	Widok wtkw/postw w jednej kolumnie 1.0
 *	(C) 2012 by Ezio (ezio@mybboard.pl)
 *
 *	http://mybboard.pl - Polski Support MyBB
 */

if(!defined('IN_MYBB'))
{
	die('Direct initialization of this file is not allowed.');
}

$plugins->add_hook('pre_output_page', 'delete_comments');

function onecolumn_info()
{
	return array(
		"name"			=> 'Widok watkow/postow w jednej kolumnie',
		"description"	=> 'Plugin wyswietla liczbe watkow i postow w jednej kolumnie w widoku dzialu.',
		"website"		=> 'http://mybboard.pl',
		"author"		=> 'Ezio',
		"authorsite"	=> 'http://forum.mybboard.pl/uzytkownik-mybb-ezio_16795',
		"version"		=> '1.0',
		"guid" 			=> '',
		"compatibility" => '16*'
	);
}

function onecolumn_activate()
{
	global $db;
	require MYBB_ROOT.'/inc/adminfunctions_templates.php';
	
	find_replace_templatesets(
		"forumbit_depth1_cat",
		'#'.preg_quote('<td class="tcat" width="85" align="center" style="white-space: nowrap"><span class="smalltext"><strong>{$lang->forumbit_threads}</strong></span></td>').'#',
		'<!-- depth1_threads_column -->'
	);
	
	find_replace_templatesets(
		"forumbit_depth1_cat",
		'#'.preg_quote('<td class="tcat" width="85" align="center" style="white-space: nowrap"><span class="smalltext"><strong>{$lang->forumbit_posts}</strong></span></td>').'#',
		'<!-- depth1_posts_column -->'
	);
	
	find_replace_templatesets(
		"forumbit_depth1_cat",
		'#'.preg_quote('colspan="2"').'#',
		'colspan="3"'
	);
	
	find_replace_templatesets(
		"forumbit_depth2_forum",
		'#'.preg_quote('<td class="{$bgcolor}" valign="top" align="center" style="white-space: nowrap">{$threads}{$unapproved[\'unapproved_threads\']}</td>').'#',
		'<td class="{$bgcolor} smalltext" width="120" valign="top" align="center" style="white-space: nowrap; vertical-align: middle;">{$lang->forumbit_threads}: {$threads}{$unapproved[\'unapproved_threads\']}<br />{$lang->forumbit_posts}: {$posts}{$unapproved[\'unapproved_posts\']}</td>'
	);
	
	find_replace_templatesets(
		"forumbit_depth2_forum",
		'#'.preg_quote('<td class="{$bgcolor}" valign="top" align="center" style="white-space: nowrap">{$posts}{$unapproved[\'unapproved_posts\']}</td>').'#',
		'<!-- depth2_posts_column -->'
	);
	
	find_replace_templatesets(
		"forumdisplay_subforums",
		'#'.preg_quote('colspan="5"').'#',
		'colspan="4"'
	);
	
	find_replace_templatesets(
		"forumdisplay_subforums",
		'#'.preg_quote('width="59%"').'#',
		'colspan="2"'
	);
	
	find_replace_templatesets(
		"forumdisplay_subforums",
		'#'.preg_quote('<td class="tcat" width="7%" align="center" style="white-space: nowrap"><span class="smalltext"><strong>{$lang->forumbit_threads}</strong></span></td>').'#',
		'<!-- subforums_threads_column -->'
	);
	
	find_replace_templatesets(
		"forumdisplay_subforums",
		'#'.preg_quote('<td class="tcat" width="7%" align="center" style="white-space: nowrap"><span class="smalltext"><strong>{$lang->forumbit_posts}</strong></span></td>').'#',
		'<!-- subforums_posts_column -->'
	);
}

function onecolumn_deactivate()
{
	global $db;
	require MYBB_ROOT.'/inc/adminfunctions_templates.php';
	
	find_replace_templatesets(
		"forumbit_depth1_cat",
		'#'.preg_quote('<!-- depth1_threads_column -->').'#',
		'<td class="tcat" width="85" align="center" style="white-space: nowrap"><span class="smalltext"><strong>{$lang->forumbit_threads}</strong></span></td>'
	);
	
	find_replace_templatesets(
		"forumbit_depth1_cat",
		'#'.preg_quote('<!-- depth1_posts_column -->').'#',
		'<td class="tcat" width="85" align="center" style="white-space: nowrap"><span class="smalltext"><strong>{$lang->forumbit_posts}</strong></span></td>'
	);
	
	find_replace_templatesets(
		"forumbit_depth1_cat",
		'#'.preg_quote('colspan="3"').'#',
		'colspan="2"'
	);
	
		find_replace_templatesets(
		"forumbit_depth2_forum",
		'#'.preg_quote('<td class="{$bgcolor} smalltext" width="120" valign="top" align="center" style="white-space: nowrap; vertical-align: middle;">{$lang->forumbit_threads}: {$threads}{$unapproved[\'unapproved_threads\']}<br />{$lang->forumbit_posts}: {$posts}{$unapproved[\'unapproved_posts\']}</td>').'#',
		'<td class="{$bgcolor}" valign="top" align="center" style="white-space: nowrap">{$threads}{$unapproved[\'unapproved_threads\']}</td>'
	);
	
	find_replace_templatesets(
		"forumbit_depth2_forum",
		'#'.preg_quote('<!-- depth2_posts_column -->').'#',
		'<td class="{$bgcolor}" valign="top" align="center" style="white-space: nowrap">{$posts}{$unapproved[\'unapproved_posts\']}</td>'
	);
	
	find_replace_templatesets(
		"forumdisplay_subforums",
		'#'.preg_quote('colspan="4"').'#',
		'colspan="5"'
	);
	
	find_replace_templatesets(
		"forumdisplay_subforums",
		'#'.preg_quote('colspan="2"').'#',
		'width="59%"'
	);
	
	find_replace_templatesets(
		"forumdisplay_subforums",
		'#'.preg_quote('<!-- subforums_threads_column -->').'#',
		'<td class="tcat" width="7%" align="center" style="white-space: nowrap"><span class="smalltext"><strong>{$lang->forumbit_threads}</strong></span></td>'
	);
	
	find_replace_templatesets(
		"forumdisplay_subforums",
		'#'.preg_quote('<!-- subforums_posts_column -->').'#',
		'<td class="tcat" width="7%" align="center" style="white-space: nowrap"><span class="smalltext"><strong>{$lang->forumbit_posts}</strong></span></td>'
	);
}

function delete_comments(&$page)
{
	$commentlist = 'depth1_threads_column,depth1_posts_column,depth2_posts_column,subforums_threads_column,subforums_posts_column';
	$commentlist = explode(',',$commentlist);
	
	foreach($commentlist as $comment)
	{
		$page = str_replace('<!-- '.$comment.' -->', '', $page);
	}
	
	return $page;
}
?>